# TdApi.UpdateChatPosition (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateChatPosition

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatPosition

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatPosition

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatPosition extends TdApi.Update
The position of a chat in a chat list has changed. Instead of this update updateChatLastMessage or updateChatDraftMessage might be sent.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.ChatPosition`
`position`
New chat position.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatPosition()`
The position of a chat in a chat list has changed.
`UpdateChatPosition(long chatId, TdApi.ChatPosition position)`
The position of a chat in a chat list has changed.
`UpdateChatPosition(DataInput input)`
The position of a chat in a chat list has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### position

public TdApi.ChatPosition position
New chat position. If new order is 0, then the chat needs to be removed from the list.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatPosition

public UpdateChatPosition()
The position of a chat in a chat list has changed. Instead of this update updateChatLastMessage or updateChatDraftMessage might be sent.

### UpdateChatPosition

public UpdateChatPosition(long chatId, TdApi.ChatPosition position)
The position of a chat in a chat list has changed. Instead of this update updateChatLastMessage or updateChatDraftMessage might be sent.

Parameters:
  `chatId` - long Chat identifier.
  `position` - ChatPosition New chat position. If new order is 0, then the chat needs to be removed from the list.

### UpdateChatPosition

public UpdateChatPosition(DataInput input) throws IOException
The position of a chat in a chat list has changed. Instead of this update updateChatLastMessage or updateChatDraftMessage might be sent.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`